---
title: HTMLTableElement.deleteTHead()
slug: Web/API/HTMLTableElement/deleteTHead
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLTableElement.deleteTHead()</strong></code> removes the {{HTMLElement("thead")}} element from a given {{HtmlElement("table")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableElement</em>.deleteTHead();</pre>

<h2 id="Example">Example</h2>

<p>This example uses JavaScript to delete a table's header.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html; highlight:[2]">&lt;table&gt;
  &lt;thead&gt;&lt;th&gt;Name&lt;/th&gt;&lt;th&gt;Occupation&lt;/th&gt;&lt;/thead&gt;
  &lt;tr&gt;&lt;td&gt;Bob&lt;/td&gt;&lt;td&gt;Plumber&lt;/td&gt;&lt;/tr&gt;
  &lt;tr&gt;&lt;td&gt;Jim&lt;/td&gt;&lt;td&gt;Roofer&lt;/td&gt;&lt;/tr&gt;
&lt;/table&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js; highlight:[2]">let table = document.querySelector('table');
table.deleteTHead();</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-deletethead', 'HTMLTableElement: deleteTHead')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.deleteTHead")}}</p>
</div>
